from django.contrib import admin
from .models import Author, Books

# Register your models here.
class AuthorAdmin(admin.ModelAdmin):
    model = Author
    list_display = ('first_name', 'last_name', 'age', 'nationality', 'bio')
    search_display = ('last_name',)
    list_filter = ('last_name',)

class BooksAdmin(admin.ModelAdmin):
    model = Books
    list_display = ('title', 'author', 'publisher', 'year_published', 'ISBN', 'blurb')
    search_display = ('title', 'author', 'publisher', 'year_published', 'ISBN')
    list_filter = ('title',)

admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)
