from django.db import models
from django.urls import reverse

class Author(models.Model):
    first_name = models.CharField(max_length = 50, default = "")
    last_name = models.CharField(max_length = 30, default = "")
    age = models.IntegerField(default = 0)
    nationality = models.CharField(max_length = 30, default = "")
    bio = models.TextField(max_length = 700, default = "")

    def __str__(self):
        return self.last_name
    
    def get_absolute_url(self):
        return reverse('author-details', kwargs={'pk':self.pk})

class Books(models.Model):
    title = models.CharField(max_length = 50, default = "")
    author = models.ForeignKey(Author, on_delete = models.CASCADE)
    publisher = models.CharField(max_length = 50, default = "")
    year_published = models.IntegerField(default = 0)
    ISBN = models.IntegerField(default = 0)
    blurb = models.TextField(max_length = 200, default = "")

    def __str__(self):
        return self.title
    
    def get_absolute_url(self):
        return reverse('book-details', kwargs={'pk':self.pk})
    
    
