from django.urls import path
from .views import HomepageView, BooksListView, BooksDetailView, AuthorsListView, AuthorsDetailView, BookCreateView, BookUpdateView, AuthorCreateView, AuthorUpdateView

urlpatterns = [
    path('home/', HomepageView, name='home'),
    path('books/', BooksListView.as_view(), name='books-list'),
    path('books/<int:pk>/details/', BooksDetailView.as_view(), name='book-details'),
    path('authors/', AuthorsListView.as_view(), name='authors-list'),
    path('authors/<int:pk>/details/', AuthorsDetailView.as_view(), name='author-details'),
    path('books/add/', BookCreateView.as_view(), name='add-book'),
    path('authors/add/', AuthorCreateView.as_view(), name='add-author'),
    path('books/<pk>/edit/', BookUpdateView.as_view(), name='edit-book'),
    path('authors/<pk>/edit/', AuthorUpdateView.as_view(), name='edit-author'),
]