from django.shortcuts import render
from django.http import HttpResponse
from django.views import View
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView

from .models import Author, Books

# Create your views here.

def HomepageView(request):
    return render(request, 'bookshelf/home.html')

class BookCreateView(CreateView):
    model = Books
    fields = '__all__'
    template_name = 'bookshelf/add-book.html'

class AuthorCreateView(CreateView):
    model = Author
    fields = '__all__'
    template_name = 'bookshelf/add-author.html'

class BookUpdateView(UpdateView):
    model = Books
    fields = '__all__'
    template_name = 'bookshelf/edit-book.html'

class AuthorUpdateView(UpdateView):
    model = Author
    fields = '__all__'
    template_name = 'bookshelf/edit-author.html'

class BooksListView(ListView):
    model = Books
    template_name = 'bookshelf/books.html'
    # default template is called the books_list.html

class BooksDetailView(DetailView):
    model = Books
    template_name = 'bookshelf/books_details.html'
    # default template is called the books_detail.html

class AuthorsListView(ListView):
    model = Author
    template_name = 'bookshelf/authors.html'
    # default template is called the authors_list.html

class AuthorsDetailView(DetailView):
    model = Author
    template_name = 'bookshelf/author_details.html'
    # default template is called the authors_detail.html

